Coin Market Cap
CoinMarketCap-compatible market data endpoints
Returns the order book depth for the given option ticker, in CoinMarketCap format.
Successfully retrieved order book data
CoinMarketCap order book data transfer object
Option contract symbol
BTC-260708-70000-COrder book timestamp as epoch millis
Order book not found
Internal server error
GET /api/v1/orderbook/{ticker_id} HTTP/1.1
Accept: */*
{
"ticker_id": "BTC-260708-70000-C",
"timestamp": 1,
"bids": [
[
"text"
]
],
"asks": [
[
"text"
]
]
}Returns every live (non-deleted, unexpired) option contract across all underlyings, in CoinMarketCap format.
Successfully retrieved result
CoinMarketCap option contract data transfer object
Option contract symbol
BTC-260708-70000-CBase currency of the underlying
BTCQuote currency
USDTProduct type
OptionsContract type
VanillaContract price = contract amount x last premium
4.2Currency of the contract price
USDTLast traded premium price
42024h traded volume in base currency
125024h traded volume in quote currency
52500024h high premium price
45024h low premium price
395Best bid premium price
415Best ask premium price
425Current index price of the underlying
63530.22Open interest in contracts
8600Open interest value in USD
5463598.92Contract creation date as epoch millis
1751932800000Contract expiry date as epoch millis
1783497600000Internal server error
GET /api/v1/contracts HTTP/1.1
Accept: */*
[
{
"ticker_id": "BTC-260708-70000-C",
"base_currency": "BTC",
"quote_currency": "USDT",
"product_type": "Options",
"contract_type": "Vanilla",
"contract_price": 4.2,
"contract_price_currency": "USDT",
"last_price": 420,
"base_volume": 1250,
"quote_volume": 525000,
"high": 450,
"low": 395,
"bid": 415,
"ask": 425,
"index_price": 63530.22,
"open_interest": 8600,
"open_interest_usd": 5463598.92,
"creation_timestamp": 1751932800000,
"expiry_timestamp": 1783497600000
}
]Last updated

